%define url_ver %(echo %{version}|cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/caja/extensions-2.0/.*\\.so

Name:           mate-user-share
Version:        1.26.0
Release:        %mkrel 2
License:        GPLv2+
Summary:        MATE  user file sharing
URL:            https://mate-desktop.org/
Group:          System/Servers
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  apache-devel
BuildRequires:  itstool
BuildRequires:  libxml2-utils
BuildRequires:  itstool
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  hicolor-icon-theme
BuildRequires:  mate-common >= %{url_ver}
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(libcaja-extension) >= %{url_ver}
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  perl(XML::Parser)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  yelp-tools
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(unique-3.0)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(libcanberra-gtk3)

Recommends:     apache-mod_dav
Recommends:     apache-mod_dnssd

%description
This program enables user to share directories through Webdav.

This package does not provide bluetooth support. Use a generic
tool to get bluetooth support.

%prep
%autosetup

%build
autoreconf -fi
%configure \
	--disable-static \
	--disable-bluetooth \
	--disable-schemas-compile
%make_build

%install
%make_install

# remove obsolete bluetooth stuff
rm -fr  %{buildroot}%{_sysconfdir}/xdg/autostart/mate-user-share-obex*

find %{buildroot} -name "*.la" -delete

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc ChangeLog README
%{_sysconfdir}/xdg/autostart/mate-user-share-webdav.desktop
%{_bindir}/mate-file-share-properties
%{_libexecdir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/mate-user-share-properties.desktop
%{_datadir}/icons/hicolor/*/apps/mate-obex-server.png
%{_datadir}/glib-2.0/schemas/org.mate.FileSharing.gschema.xml
%{_mandir}/man1/mate-file-share-properties.1*
#caja extension
%{_libdir}/caja/extensions-2.0/libcaja-user-share.so
%{_datadir}/caja/extensions/libcaja-user-share.caja-extension


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1837931
- Mageia 9 Mass Rebuild

* Mon Aug 09 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740898
- new version 1.26.0
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548014
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488746
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.1-1.mga8
+ Revision: 1465690
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375513
- Update to version 1.22.0

* Sun Dec 16 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1341824
- Update to version 1.20.1

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299484
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201496
- Updated to 1.20.0 version

* Sat Sep 16 2017 cjw <cjw> 1.18.0-2.mga7
+ Revision: 1154787
- rebuild for new find_lang

* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092646
- Update to 1.18.0 version
- Updated to 1.17.0 version

* Wed Dec 14 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1075115
- new version 1.16.0
- build with gtk3

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001496
- Update to 1.14.0 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 950300
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898524
-Update to 1.12.0 version

* Mon Jun 22 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 839567
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-4.mga5
+ Revision: 743752
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 682207
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Mar 08 2014 wally <wally> 1.8.0-2.mga5
+ Revision: 601178
- fix mate-bluetooth obsoletes

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600111
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598062
- Update to 1.7.x version

* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 563825
-New bugfix version: 1.6.1

* Tue Oct 22 2013 tarakbumba <tarakbumba> 1.6.0-2.mga4
+ Revision: 541395
- Disabled bluetooth support
- imported package mate-user-share

